ata_qc_complete
Prev | Chapter 4. libata Library | Next

## Name

ata_qc_complete — Complete an active ATA command

## Synopsis

`void ata_qc_complete (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Command to complete

## Description

Indicate to the mid and upper layers that an ATA command has completed, with either an ok or not-ok status.

## LOCKING

spin_lock_irqsave(host lock)

Prev | Up | Next
ata_hsm_move | Home | ata_qc_complete_multiple